WordPress güvenlik uyarısı!

WordPress güvenlik uyarısı!

Wordpress güvenlik uyarısı!WordPress 2.8.4 güncellemesi, öncekilere göre çok daha çabuk gerçekleşmişti. Bu güncelleştirmede, fonksiyonel bir değişiklik yoktu, yanlızca güvenlik açıkları giderilmişti. Bir önceki sürümde açık bıraktıkları yerleri “tıkamışlardı” galiba.

Söylenene göre, bu sıralar eski sürüme sahip WordPress tabanlı web sitelerine yaygın şekilde saldırı düzenleniyor (WordPress.com siteleri, sözümüze dahil değil). Saldırıların kaynağı da, yukarıda bahsettiğimiz güvenlik açıkları. WordPress versiyonunu 2.8.4 sürümüne yükseltmek, saldırının tek çözümü olarak gösteriliyor.

Eğer WordPress kurulu bir web siteniz varsa ve 2.8.4 sürümüne yükseltmemişseniz, hemen bunu yapmalısınız!

WordPress’i güncellerken ortaya çıkabilecek hatalar yükseltme yapmanıza mani olmasın. Çünkü hali hazırda devam eden saldırılar bir kere sitenizi vurursa, WordPress’i silip tekrar kurmak ve tüm database’inizi ayıklamak gibi zahmetlere girişmeniz gerekecek.

WordPress saldırısından kurtulmak isteyenlere şunları tavsiye ediyoruz:

1. Hemen sürümünüzü yükseltin!

2. İnternette dolaşan “Şu plugin güvenlik açığını kapatıyor.” sözlerine aldırış etmeyin. İşe yaramıyor olma ihtimalleri daha fazla.

3. Yükselme işleminden sonra, sitenizin bu saldırılardan etkilenmiş olup olmadığını anlamak için şu ipuçlarını dikkate alın:

Kalıcı bağlantılarınız (Permalink) değişmiş mi? …eval(base64_decode($_SERVER[HTTP_REFERER]))… veya
…eval(base64_decode($_SERVER%5BHTTP_EXECCODE%5D))… gibi bir değişiklik bekleniyor. eval ve base64_decode, burada anahtar kelimeler.

RSS servisiniz “error on line 22 at column 71: xmlParseEntityRef: no name wordpress” şeklinde bir hata veriyor mu?

Cevap evetse, saldırılar muhtemelen sizin sitenizi de etkiledi.

Üyeleriniz arasında, admin yetkili “Administrator (2)” veya buna benzer hatırlamadığınız bir üye adı var mı? Saldırılarda, bu şekilde üretilmiş bir hesap backdoor olarak kullanılıyor.

4. Üçüncü sırada bahsettiğimiz problemler varsa, aşağıdaki yöntemi kullanarak problemi çözmeyi deneyebilirsiniz:

Setting (Ayarlar) ->Permalinks (Kalıcı Bağlantılar) bölümüne gidin ve yukarıda bahsettiğimiz anlamsız kodu silin.
Kullanıcılar bölümüne gidin. Burada normalden daha fazla admin hesabı göreceksiniz. Bu hesapların isim, e-mail gibi bilgileri bulunmayacak. Bu şekilde en son eklenen hesabın üzerine gelin ve adresi kopyalayarak adres çubuğuna yapıştırın. Üye numarasını birer azaltarak diğer admin hesaplarını görebileceksiniz. İlk ismi olarak garip bir kod görünen gizli bir admin hesabına ulaşmalısınız. Kodu silin ve bu hesabı subscriber yapın. Daha sonra Kullanıcılar’a gelerek bu üyeyi silin.

WordPress yetkilileri bu güncelleştirmenin ciddi önemi olduğunu vurguluyorlardı. Ancak bu kadar önemli olabileceğini tahmin edilmiyordu.

Bu konuda vurgulamak istediğiniz noktalar veya konuya eklemek istedikleriniz varsa, yorum olarak ekleyebilirsiniz.

Sevebilirsin...

Bir cevap yazın

E-posta hesabınız yayımlanmayacak. Gerekli alanlar * ile işaretlenmişlerdir